 function R = juliak (k, Nmax, N, tol)
  % k = degree
  % Nmax = number of steps in Newton-Raphson
  % N = number of pixels
  % tol = tolerance
  
  A = meshgrid(linspace(-3/2,3/2,N),1:N);
  A = A + i*A' + eps;
  z = 2^(1/k)*exp(2*pi*i*[0:k-1]/k);
  
  % Newton
  for l = 1:Nmax
    A = (1-1/k)*A+2/k*A.^(1-k);
  end

  R = zeros(N);
  for l = 1:k
    R = R + l*(abs(A-z(l))<tol);
  end
  
  % normalization
  R = im2double(mat2gray(R));
end
